aboutsummaryrefslogtreecommitdiffstats
path: root/contrib/servlet/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/servlet/build.sh')
-rwxr-xr-xcontrib/servlet/build.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/contrib/servlet/build.sh b/contrib/servlet/build.sh
new file mode 100755
index 000000000..a8a5abe6b
--- /dev/null
+++ b/contrib/servlet/build.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+# This file should be executable.
+echo
+echo "Fop Build System"
+echo "----------------"
+echo
+
+if [ "$JAVA_HOME" = "" ] ; then
+ echo "ERROR: JAVA_HOME not found in your environment."
+ echo
+ echo "Please, set the JAVA_HOME variable in your environment to match the"
+ echo "location of the Java Virtual Machine you want to use."
+ exit 1
+fi
+LIBDIR=../../lib
+LOCALCLASSPATH=$JAVA_HOME/lib/tools.jar:$JAVA_HOME/lib/classes.zip:$LIBDIR/ant.jar:$LIBDIR/ant-1.3-optional.jar:$LIBDIR/buildtools.jar:$LIBDIR/xerces-1.4.3.jar:$LIBDIR/xalan-2.2D11.jar
+
+ANT_HOME=$LIBDIR
+
+echo
+echo Building with classpath $LOCALCLASSPATH
+echo Starting Ant...
+echo
+
+$JAVA_HOME/bin/java -Dant.home=$ANT_HOME -classpath "$LOCALCLASSPATH" org.apache.tools.ant.Main $*